Index: soft/giet_vm/xml/xml_parser.c
===================================================================
--- soft/giet_vm/xml/xml_parser.c	(revision 226)
+++ soft/giet_vm/xml/xml_parser.c	(revision 228)
@@ -1999,69 +1889,61 @@
 
     // write clusters
-    BuildTable(fdout, "cluster", cluster_index, sizeof(mapping_cluster_t), (char**) cluster);
+    BuildTable(fdout, "cluster", cluster_index, sizeof(mapping_cluster_t), (char **) cluster);
     // write psegs
-    BuildTable(fdout, "pseg", pseg_index, sizeof(mapping_pseg_t), (char**) pseg);
+    BuildTable(fdout, "pseg", pseg_index, sizeof(mapping_pseg_t), (char **) pseg);
     // write vspaces
-    BuildTable(fdout, "vspace", vspace_index, sizeof(mapping_vspace_t), (char**) vspace);
+    BuildTable(fdout, "vspace", vspace_index, sizeof(mapping_vspace_t), (char **) vspace);
     // write vsegs
-    BuildTable(fdout, "vseg", vseg_index, sizeof(mapping_vseg_t), (char**) vseg);
+    BuildTable(fdout, "vseg", vseg_index, sizeof(mapping_vseg_t), (char **) vseg);
     // write vobjs
-    BuildTable(fdout, "vobj", vobj_index, sizeof(mapping_vobj_t), (char**) vobj);
+    BuildTable(fdout, "vobj", vobj_index, sizeof(mapping_vobj_t), (char **) vobj);
     // write tasks array
-    BuildTable(fdout, "task", task_index, sizeof(mapping_task_t), (char**) task);
+    BuildTable(fdout, "task", task_index, sizeof(mapping_task_t), (char **) task);
     //building procs array
-    BuildTable(fdout, "proc", proc_index, sizeof(mapping_proc_t), (char**) proc);
+    BuildTable(fdout, "proc", proc_index, sizeof(mapping_proc_t), (char **) proc);
     //building irqs array
-    BuildTable(fdout, "irq", irq_index, sizeof(mapping_irq_t), (char**)irq);
+    BuildTable(fdout, "irq", irq_index, sizeof(mapping_irq_t), (char **) irq);
     //building coprocs array
-    BuildTable(fdout, "coproc", coproc_index, sizeof(mapping_coproc_t), (char**)coproc);
+    BuildTable(fdout, "coproc", coproc_index, sizeof(mapping_coproc_t), (char **) coproc);
     //building cp_ports array
-    BuildTable(fdout, "cp_port", cp_port_index, sizeof(mapping_cp_port_t),(char**) cp_port);
+    BuildTable(fdout, "cp_port", cp_port_index, sizeof(mapping_cp_port_t),(char **) cp_port);
     //building periphs array
-    BuildTable(fdout, "periph", periph_index, sizeof(mapping_periph_t), (char**)periph);
-    
+    BuildTable(fdout, "periph", periph_index, sizeof(mapping_periph_t), (char **) periph);
+
     close(fdout);
 
 } // end buildBin()
+
 
 ///////////////////////////////////////////////////////////////////////
 // this function set the value the vobj_id fiels of all cp_ports
 ///////////////////////////////////////////////////////////////////////
-void prepareBuild()
-{
+void prepareBuild() {
     unsigned int i;
     //asign for all cp_ports the correct vspaceid and vobjid
-    for(i=0; i< cp_port_index; i++)
-    {
-        int vspace_id = getVspaceId( cp_port_vobj_ref[i]->vspace_name );
-        if ( vspace_id < 0 ) 
-        {
-            printf("[XML ERROR] illegal  <vspacename> for cp_port %d,\n", 
-                    i);
+    for (i = 0; i < cp_port_index; i++) {
+        int vspace_id = getVspaceId(cp_port_vobj_ref[i]->vspace_name);
+        if (vspace_id < 0) {
+            printf("[XML ERROR] illegal  <vspacename> for cp_port %d,\n", i);
             exit(1);
         }
         cp_port[i]->vspaceid = vspace_id;
-        
-        int vobj_id = getVobjLocId( vspace_id, 
-                                    cp_port_vobj_ref[i]->vobj_name, 
-                                    vspace[vspace_id]->vobjs );
-        if ( vobj_id >= 0 ) 
-        {
-
-#if XML_PARSER_DEBUG
-printf("\ncp_port = %d\n", i);
-printf("      vspace_name  = %s\n", cp_port_vobj_ref[i]->vspace_name);
-printf("      vobj_name    = %s\n", cp_port_vobj_ref[i]->vobj_name);
-printf("      vobj_index   = %d\n", vobj_id);
+
+        int vobj_id = getVobjLocId(vspace_id, cp_port_vobj_ref[i]->vobj_name, vspace[vspace_id]->vobjs);
+        if (vobj_id >= 0) {
+
+#if XML_PARSER_DEBUG
+            printf("\ncp_port = %d\n", i);
+            printf("      vspace_name  = %s\n", cp_port_vobj_ref[i]->vspace_name);
+            printf("      vobj_name    = %s\n", cp_port_vobj_ref[i]->vobj_name);
+            printf("      vobj_index   = %d\n", vobj_id);
 #endif
             cp_port[i]->vobjlocid = vobj_id;
 
             assert((vobj[ vspace[vspace_id]->vobj_offset + vobj_id]->type == VOBJ_TYPE_MWMR)
-            && "coproc ports has to refere to a vobj of type MWMR");
-        }
-        else              
-        {
-            printf("[XML ERROR] illegal  <vobjname> for cp_port %d,\n", 
-                    i);
+                    && "coproc ports have to refer to a vobj of type MWMR");
+        }
+        else {
+            printf("[XML ERROR] illegal  <vobjname> for cp_port %d,\n", i);
             exit(1);
         }
@@ -2069,10 +1951,9 @@
 }
 
+
 //////////////////////////////////////////
-void file_write(int fdout, char* towrite)
-{
+void file_write(int fdout, char * towrite) {
     unsigned int size = strlen(towrite);
-    if(size != write(fdout, towrite, size))
-    {
+    if (size != write(fdout, towrite, size)) {
         printf("file_write error");
         exit(1);
@@ -2080,45 +1961,44 @@
 }
 
+
 //////////////////////////////////////////////////
-void def_int_write(int fdout, char* def, int num)
-{
-    char buf[64];
+void def_int_write(int fdout, char * def, int num) {
+    char  buf[64];
     sprintf(buf, "#define\t %s  %d\n", def, num);
     file_write(fdout, buf);
 }
 
+
 /////////////////////////////////////////////////
-void def_hex_write(int fdout, char* def, int num)
-{
-    char buf[64];
+void def_hex_write(int fdout, char * def, int num) {
+    char  buf[64];
     sprintf(buf, "#define\t %s  0x%x\n", def, num);
     file_write(fdout, buf);
 }
 
+
 ///////////////////////////////////////
-void  genHd( const char* file_path )
-///////////////////////////////////////
-{
+void  genHd(const char * file_path) {
     int fdout = open_file(file_path);
 
-    char* prol = " /* Generated from the mapping_info file */\n\n#ifndef _HD_CONFIG_H\n#define _HD_CONFIG_H\n\n";
+    char * prol = " /* Generated from the mapping_info file */\n\n#ifndef _HD_CONFIG_H\n#define _HD_CONFIG_H\n\n";
     file_write(fdout, prol);
 
-    def_int_write(fdout, "CLUSTER_X"       , cluster_x);
-    def_int_write(fdout, "CLUSTER_Y"       , cluster_y);
-    def_int_write(fdout, "NB_CLUSTERS"     , cluster_index);
-    def_hex_write(fdout, "CLUSTER_SIZE"    , (((unsigned long long) 1) << 32) / cluster_index);
-    def_int_write(fdout, "NB_PROCS_MAX"    , nb_proc_max);
-    def_int_write(fdout, "NB_TIMERS_MAX"   , nb_timer_channel_max);
-    def_int_write(fdout, "NB_DMAS_MAX"     , nb_dma_channel_max);
-    def_int_write(fdout, "NB_TTYS"         , nb_tty_channel);
-    def_int_write(fdout, "NB_IOCS"         , nb_ioc_channel);
-    def_int_write(fdout, "NB_NICS"         , nb_nic_channel);
-    
+    def_int_write(fdout, "CLUSTER_X"    , cluster_x);
+    def_int_write(fdout, "CLUSTER_Y"    , cluster_y);
+    def_int_write(fdout, "NB_CLUSTERS"  , cluster_index);
+    def_hex_write(fdout, "CLUSTER_SIZE" , (((unsigned long long) 1) << 32) / cluster_index);
+    def_int_write(fdout, "NB_PROCS_MAX" , nb_proc_max);
+    def_int_write(fdout, "NB_TIMERS_MAX", nb_timer_channel_max);
+    def_int_write(fdout, "NB_DMAS_MAX"  , nb_dma_channel_max);
+    def_int_write(fdout, "NB_TTYS"      , nb_tty_channel);
+    def_int_write(fdout, "NB_IOCS"      , nb_ioc_channel);
+    def_int_write(fdout, "NB_NICS"      , nb_nic_channel);
+
     file_write(fdout, "\n");
-    def_int_write(fdout, "USE_XICU"         , use_xicu);
-    def_int_write(fdout, "IOMMU_ACTIVE "    , io_mmu_active);
-
-    char* epil = "\n#endif //_HD_CONFIG_H";
+    def_int_write(fdout, "USE_XICU"     , use_xicu);
+    def_int_write(fdout, "IOMMU_ACTIVE ", io_mmu_active);
+
+    char * epil = "\n#endif //_HD_CONFIG_H";
     file_write(fdout, epil);
 
@@ -2126,8 +2006,8 @@
 }
 
+
 ////////////////////////////////////////////////////////
-void ld_write(int fdout, char* seg, unsigned int addr)
-{
-    char  buf[64];
+void ld_write(int fdout, char * seg, unsigned int addr) {
+    char buf[64];
     sprintf(buf, "%s = 0x%x;\n", seg, addr);
     file_write(fdout, buf);
@@ -2135,40 +2015,39 @@
 }
 
+
 ///////////////////////////////////////
-void  genLd (const char * file_path)
-///////////////////////////////////////
-{
+void genLd(const char * file_path) {
     int fdout = open_file(file_path);
 
-    char* prol = "/* Generated from the mapping_info file */\n\n";
+    char * prol = "/* Generated from the mapping_info file */\n\n";
     file_write(fdout, prol);
 
     //boot
-    ld_write(fdout, "seg_boot_code_base"           , boot_code_base);
-    ld_write(fdout, "seg_boot_stack_base"          , boot_stack_base);
-    ld_write(fdout, "seg_mapping_base"             , boot_mapping_base);
+    ld_write(fdout, "seg_boot_code_base", boot_code_base);
+    ld_write(fdout, "seg_boot_stack_base", boot_stack_base);
+    ld_write(fdout, "seg_mapping_base", boot_mapping_base);
 
     //kernel
-    ld_write(fdout, "\nseg_kernel_code_base"       , kernel_code_base);
-    ld_write(fdout, "seg_kernel_data_base"         , kernel_data_base);
-    ld_write(fdout, "seg_kernel_uncdata_base"      , kernel_uncdata_base);
-    ld_write(fdout, "seg_kernel_init_base"         , kernel_init_base);
+    ld_write(fdout, "\nseg_kernel_code_base",  kernel_code_base);
+    ld_write(fdout, "seg_kernel_data_base",    kernel_data_base);
+    ld_write(fdout, "seg_kernel_uncdata_base", kernel_uncdata_base);
+    ld_write(fdout, "seg_kernel_init_base",    kernel_init_base);
 
     //peripherals
-    ld_write(fdout, "\nseg_fbf_base",  fbf_base_offset);
-    ld_write(fdout, "seg_icu_base"  ,  icu_base_offset);
-    ld_write(fdout, "seg_ioc_base"  ,  ioc_base_offset);
-    ld_write(fdout, "seg_nic_base"  ,  nic_base_offset);
-    ld_write(fdout, "seg_tty_base"  ,  tty_base_offset);
-    ld_write(fdout, "seg_dma_base"  ,  dma_base_offset);
-    ld_write(fdout, "seg_tim_base"  ,  tim_base_offset);
-    ld_write(fdout, "seg_gcd_base"  ,  gcd_base_offset);
-    ld_write(fdout, "seg_iob_base"  ,  iob_base_offset);
+    ld_write(fdout, "\nseg_fbf_base", fbf_base_offset);
+    ld_write(fdout, "seg_icu_base",   icu_base_offset);
+    ld_write(fdout, "seg_ioc_base",   ioc_base_offset);
+    ld_write(fdout, "seg_nic_base",   nic_base_offset);
+    ld_write(fdout, "seg_tty_base",   tty_base_offset);
+    ld_write(fdout, "seg_dma_base",   dma_base_offset);
+    ld_write(fdout, "seg_tim_base",   tim_base_offset);
+    ld_write(fdout, "seg_gcd_base",   gcd_base_offset);
+    ld_write(fdout, "seg_iob_base",   iob_base_offset);
 
     close(fdout);
 }
 
-char * buildPath(const char * path, const char * name)
-{
+
+char * buildPath(const char * path, const char * name) {
     char * res = calloc(strlen(path) + strlen(name) + 1, 1);
     strcat(res, path);
@@ -2178,10 +2057,8 @@
 }
 
+
 /////////////////////////////////////
-int  main(int argc, char * argv[])
-/////////////////////////////////////
-{
-    if ( argc < 3 ) 
-    {
+int main(int argc, char * argv[]) {
+    if (argc < 3) {
         printf("Usage: xml2bin <input_file_path> <output_path>\n");
         return 1;
@@ -2189,52 +2066,45 @@
 
     struct stat dir_st;
-    if(stat( argv[2], &dir_st ))
-    {
+    if (stat( argv[2], &dir_st)) {
         perror("bad path");
         exit(1);
     }
 
-    if((dir_st.st_mode & S_IFDIR) == 0)
-    {
+    if ((dir_st.st_mode & S_IFDIR) == 0) {
         printf("path is not a dir: %s", argv[2] );
         exit(1);
     }
 
-    
-    char *map_path = buildPath(argv[2], "map.bin"); 
-    char *ld_path = buildPath(argv[2],  "giet_vsegs.ld"); 
-    char *hd_path = buildPath(argv[2],  "hard_config.h"); 
+
+    char * map_path = buildPath(argv[2], "map.bin"); 
+    char * ld_path = buildPath(argv[2], "giet_vsegs.ld"); 
+    char * hd_path = buildPath(argv[2], "hard_config.h"); 
 
     LIBXML_TEST_VERSION;
 
     int status;
-    xmlTextReaderPtr reader = xmlReaderForFile ( argv[1], NULL, 0 );
-
-    if ( reader != NULL ) 
-    {
-        status = xmlTextReaderRead ( reader );
-        while ( status == 1 ) 
-        {
-            const char* tag = (const char*)xmlTextReaderConstName(reader);
-
-            if ( strcmp(tag,"mapping_info") == 0 )
-            { 
-                headerNode( reader );
+    xmlTextReaderPtr reader = xmlReaderForFile(argv[1], NULL, 0);
+
+    if (reader != NULL) {
+        status = xmlTextReaderRead (reader);
+        while (status == 1) {
+            const char * tag = (const char *) xmlTextReaderConstName(reader);
+
+            if (strcmp(tag, "mapping_info") == 0) { 
+                headerNode(reader);
                 prepareBuild();
-                buildBin( map_path );
+                buildBin(map_path);
                 genHd(hd_path);
                 genLd(ld_path);
             }
-            else
-            {
+            else {
                 printf("[XML ERROR] Wrong file type: \"%s\"\n", argv[1]);
                 return 1;
             }
-            status = xmlTextReaderRead ( reader );
-        }
-        xmlFreeTextReader ( reader );
-
-        if ( status != 0 ) 
-        {
+            status = xmlTextReaderRead(reader);
+        }
+        xmlFreeTextReader(reader);
+
+        if (status != 0) {
             printf("[XML ERROR] Wrong Syntax in \"%s\" file\n", argv[1]);
             return 1;
@@ -2245,4 +2115,10 @@
 
 
-
-
+// Local Variables:
+// tab-width: 4
+// c-basic-offset: 4
+// c-file-offsets:((innamespace . 0)(inline-open . 0))
+// indent-tabs-mode: nil
+// End:
+// vim: filetype=c:expandtab:shiftwidth=4:tabstop=4:softtabstop=4
+
